{
	"info": {
		"_postman_id": "7756d404-3b4f-4bc0-9be8-00bbf27da7c4",
		"name": "Oper",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
		"_exporter_id": "26531673"
	},
	"item": [
		{
			"name": "/repositoryConfigList",
			"request": {
				"auth": {
					"type": "apikey",
					"apikey": [
						{
							"key": "value",
							"value": "{{envx-apikey-internal}}",
							"type": "string"
						},
						{
							"key": "key",
							"value": "apikey",
							"type": "string"
						},
						{
							"key": "in",
							"value": "header",
							"type": "string"
						}
					]
				},
				"method": "GET",
				"header": [],
				"url": {
					"raw": "{{oper-protocol}}://{{oper-host}}/oper/v1/repositoryConfigList?restRequestId=test",
					"protocol": "{{oper-protocol}}",
					"host": [
						"{{oper-host}}"
					],
					"path": [
						"oper",
						"v1",
						"repositoryConfigList"
					],
					"query": [
						{
							"key": "restRequestId",
							"value": "test"
						}
					]
				}
			},
			"response": [
				{
					"name": "/repositoryConfigList",
					"originalRequest": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "{{oper-protocol}}://{{oper-host}}/oper/v1/repositoryConfigList?restRequestId=test",
							"protocol": "{{oper-protocol}}",
							"host": [
								"{{oper-host}}"
							],
							"path": [
								"oper",
								"v1",
								"repositoryConfigList"
							],
							"query": [
								{
									"key": "restRequestId",
									"value": "test"
								}
							]
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Access-Control-Allow-Headers",
							"value": "authorization,Access-Control-Allow-Origin,Content-Type,SOAPAction,apikey,Internal-Key,Authorization"
						},
						{
							"key": "Access-Control-Allow-Methods",
							"value": "GET"
						},
						{
							"key": "Access-Control-Allow-Origin",
							"value": "*"
						},
						{
							"key": "Access-Control-Expose-Headers",
							"value": ""
						},
						{
							"key": "Activityid",
							"value": "3a32a1da-2a11-4df6-9898-f4fe91e767a1"
						},
						{
							"key": "Content-Type",
							"value": "application/json; charset=UTF-8"
						},
						{
							"key": "Date",
							"value": "Thu, 06 Apr 2023 15:24:38 GMT"
						},
						{
							"key": "X-Ords_debug",
							"value": "true"
						},
						{
							"key": "Transfer-Encoding",
							"value": "chunked"
						}
					],
					"cookie": [],
					"body": "[\n    {\n        \"ID_REPOSITORY\": 5,\n        \"REPOSITORY_DESCRIPTION\": \"Prueba de funcionamiento\",\n        \"REPOSITORY_NAME\": \"Prueba\",\n        \"REPOSITORY_HOST\": \"apides02.lacaja.com.ar\",\n        \"USER_REPO\": null,\n        \"PASS_REPO\": null,\n        \"REPOSITORY_DEF_PATH\": \"APIs-WSO2-API-Manager\",\n        \"REPOSITORY_STATUS\": 1,\n        \"REPOSITORY_TECH\": \"1\",\n        \"REPOSITORY_PORT\": \"3000\",\n        \"REPOSITORY_PROTOCOL\": \"http\",\n        \"REPOSITORY_API_VERSION\": \"1.20.0\",\n        \"REPOSITORY_OWNER\": \"LaCaja\"\n    },\n    {\n        \"ID_REPOSITORY\": 3,\n        \"REPOSITORY_DESCRIPTION\": \"Prueba repo\",\n        \"REPOSITORY_NAME\": \"iPolaris\",\n        \"REPOSITORY_HOST\": \"apides02.lacaja.com.ar\",\n        \"USER_REPO\": null,\n        \"PASS_REPO\": null,\n        \"REPOSITORY_DEF_PATH\": \"iPolaris\",\n        \"REPOSITORY_STATUS\": 1,\n        \"REPOSITORY_TECH\": \"1\",\n        \"REPOSITORY_PORT\": \"3000\",\n        \"REPOSITORY_PROTOCOL\": \"http\",\n        \"REPOSITORY_API_VERSION\": \"1.20.0\",\n        \"REPOSITORY_OWNER\": \"LaCaja\"\n    }\n]"
				}
			]
		},
		{
			"name": "/healthcheck",
			"request": {
				"auth": {
					"type": "apikey",
					"apikey": [
						{
							"key": "value",
							"value": "{{envx-apikey-internal}}",
							"type": "string"
						},
						{
							"key": "key",
							"value": "apikey",
							"type": "string"
						},
						{
							"key": "in",
							"value": "header",
							"type": "string"
						}
					]
				},
				"method": "GET",
				"header": [],
				"url": {
					"raw": "{{oper-protocol}}://{{oper-host}}/oper/v1/healthcheck",
					"protocol": "{{oper-protocol}}",
					"host": [
						"{{oper-host}}"
					],
					"path": [
						"oper",
						"v1",
						"healthcheck"
					]
				}
			},
			"response": [
				{
					"name": "/healthcheck",
					"originalRequest": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "{{oper-protocol}}://{{oper-host}}/oper/v1/healthcheck",
							"protocol": "{{oper-protocol}}",
							"host": [
								"{{oper-host}}"
							],
							"path": [
								"oper",
								"v1",
								"healthcheck"
							]
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Access-Control-Allow-Headers",
							"value": "authorization,Access-Control-Allow-Origin,Content-Type,SOAPAction,apikey,Internal-Key,Authorization"
						},
						{
							"key": "Access-Control-Allow-Methods",
							"value": "GET"
						},
						{
							"key": "Access-Control-Allow-Origin",
							"value": "*"
						},
						{
							"key": "Access-Control-Expose-Headers",
							"value": ""
						},
						{
							"key": "Activityid",
							"value": "373ad204-b384-42fd-a2a3-178df6f7e032"
						},
						{
							"key": "Content-Type",
							"value": "application/json; charset=UTF-8"
						},
						{
							"key": "Date",
							"value": "Thu, 06 Apr 2023 15:24:22 GMT"
						},
						{
							"key": "Etag",
							"value": "\"B9IOSEZPwf2gdVdbD2joJ5DFgsx8tVV0UQV11OIxwbFvYH3syPj/ntCXbYospeeex7xf/d9G/TAQ+XcGFgIvqg==\""
						},
						{
							"key": "X-Ords_debug",
							"value": "true"
						},
						{
							"key": "Transfer-Encoding",
							"value": "chunked"
						}
					],
					"cookie": [],
					"body": "{\n    \"status\": \"ok\"\n}"
				}
			]
		},
		{
			"name": "/systemParameters",
			"request": {
				"auth": {
					"type": "apikey",
					"apikey": [
						{
							"key": "value",
							"value": "{{envx-apikey-internal}}",
							"type": "string"
						},
						{
							"key": "key",
							"value": "apikey",
							"type": "string"
						},
						{
							"key": "in",
							"value": "header",
							"type": "string"
						}
					]
				},
				"method": "GET",
				"header": [],
				"url": {
					"raw": "{{oper-protocol}}://{{oper-host}}/oper/v1/systemParameters?parameterName=REPO_CONFIG_PARAMETERS&restRequestId=test",
					"protocol": "{{oper-protocol}}",
					"host": [
						"{{oper-host}}"
					],
					"path": [
						"oper",
						"v1",
						"systemParameters"
					],
					"query": [
						{
							"key": "parameterName",
							"value": "REPO_CONFIG_PARAMETERS"
						},
						{
							"key": "restRequestId",
							"value": "test"
						}
					]
				}
			},
			"response": [
				{
					"name": "/systemParameters",
					"originalRequest": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "{{oper-protocol}}://{{oper-host}}/oper/v1/systemParameters?parameterName=REPO_CONFIG_PARAMETERS&restRequestId=test",
							"protocol": "{{oper-protocol}}",
							"host": [
								"{{oper-host}}"
							],
							"path": [
								"oper",
								"v1",
								"systemParameters"
							],
							"query": [
								{
									"key": "parameterName",
									"value": "REPO_CONFIG_PARAMETERS"
								},
								{
									"key": "restRequestId",
									"value": "test"
								}
							]
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Access-Control-Allow-Headers",
							"value": "authorization,Access-Control-Allow-Origin,Content-Type,SOAPAction,apikey,Internal-Key,Authorization"
						},
						{
							"key": "Access-Control-Allow-Methods",
							"value": "GET"
						},
						{
							"key": "Access-Control-Allow-Origin",
							"value": "*"
						},
						{
							"key": "Access-Control-Expose-Headers",
							"value": ""
						},
						{
							"key": "Activityid",
							"value": "57ec7528-80bf-4833-bfea-612d225d6f97"
						},
						{
							"key": "Content-Type",
							"value": "application/json; charset=UTF-8"
						},
						{
							"key": "Date",
							"value": "Thu, 06 Apr 2023 15:24:54 GMT"
						},
						{
							"key": "Etag",
							"value": "\"ZpUecRMbPc2nDcR9XHSfurEXRiBDlkmBI8wcr2ksM5eJKKMsnx1oBy8meM8LaITJx0Prz8VJs/M8hCzLmjys1Q==\""
						},
						{
							"key": "X-Ords_debug",
							"value": "true"
						},
						{
							"key": "Transfer-Encoding",
							"value": "chunked"
						}
					],
					"cookie": [],
					"body": "{\n    \"admin\": {\n        \"driverConfig\": {\n            \"readTimeout\": 20,\n            \"connTimeout\": 20\n        },\n        \"routerConfig\": {\n            \"readTimeout\": 20,\n            \"connTimeout\": 20,\n            \"maxRetray\": 3\n        }\n    },\n    \"action\": {\n        \"driverConfig\": {\n            \"readTimeout\": 20,\n            \"connTimeout\": 20\n        },\n        \"routerConfig\": {\n            \"readTimeout\": 20,\n            \"connTimeout\": 20,\n            \"maxRetray\": 3\n        }\n    },\n    \"common\": {\n        \"cache\": {\n            \"redis\": {\n                \"host\": \"\",\n                \"port\": \"\",\n                \"aliasKey\": \"\"\n            }\n        }\n    },\n    \"trace\": {\n        \"host\": \"\",\n        \"port\": \"\",\n        \"aliasKey\": \"\"\n    }\n}"
				}
			]
		}
	]
}